Get agent details
curl --request GET \
--url https://api.usebacked.ai/agents/{agentId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.usebacked.ai/agents/{agentId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.usebacked.ai/agents/{agentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ap2Did": "<string>",
"a2aId": "<string>",
"name": "<string>",
"description": "<string>",
"category": "SERVICES",
"website": "<string>",
"endpointUrl": "<string>",
"status": "PENDING",
"reputationScore": 123,
"tier": "unproven",
"successCount": 123,
"failureCount": 123,
"disputeCount": 123,
"totalVolume": 123,
"stakedAmount": 123,
"transactionCapacity": 123,
"createdAt": "2023-11-07T05:31:56Z",
"reputationSnapshots": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"score": 123,
"successRate": 123,
"totalVolume": 123,
"stakedAmount": 123,
"computedAt": "2023-11-07T05:31:56Z"
}
]
}Agents
Get agent details
Returns one of the organization’s agents, including its last 10 reputation snapshots.
GET
/
agents
/
{agentId}
Get agent details
Authorizations
Organization API key.
Path Parameters
The agent id.
Response
Agent details retrieved successfully.
Available options:
SERVICES, GOODS, DATA, COMPUTE, FINANCIAL, OTHER Available options:
PENDING, VERIFIED, SUSPENDED Available options:
unproven, bronze, silver, gold, platinum Show child attributes
Show child attributes